[jboss-cvs] JBossAS SVN: r85859 - in projects/jboss-osgi/branches/tdiesler/build: hudson/hudson-home and 1 other directory.

jboss-cvs-commits at lists.jboss.org jboss-cvs-commits at lists.jboss.org
Sun Mar 15 14:15:56 EDT 2009


Author: thomas.diesler at jboss.com
Date: 2009-03-15 14:15:55 -0400 (Sun, 15 Mar 2009)
New Revision: 85859

Modified:
   projects/jboss-osgi/branches/tdiesler/build/distribution/src/main/resources/installer/auto-install-template.xml
   projects/jboss-osgi/branches/tdiesler/build/hudson/hudson-home/command.sh
Log:
wip

Modified: projects/jboss-osgi/branches/tdiesler/build/distribution/src/main/resources/installer/auto-install-template.xml
===================================================================
--- projects/jboss-osgi/branches/tdiesler/build/distribution/src/main/resources/installer/auto-install-template.xml	2009-03-15 18:06:48 UTC (rev 85858)
+++ projects/jboss-osgi/branches/tdiesler/build/distribution/src/main/resources/installer/auto-install-template.xml	2009-03-15 18:15:55 UTC (rev 85859)
@@ -4,7 +4,8 @@
     <installpath>@installpath@</installpath>
   </com.izforge.izpack.panels.TargetPanel>
   <com.izforge.izpack.panels.TreePacksPanel>
-    <pack name="JBossOSGi Integration" index="0" selected="true" />
+    <pack name="JBossOSGi Distribution" index="0" selected="true" />
+    <pack name="JBossOSGi Integration" index="1" selected="true" />
   </com.izforge.izpack.panels.TreePacksPanel>
   <com.izforge.izpack.panels.UserInputPanel>
     <userInput>

Modified: projects/jboss-osgi/branches/tdiesler/build/hudson/hudson-home/command.sh
===================================================================
--- projects/jboss-osgi/branches/tdiesler/build/hudson/hudson-home/command.sh	2009-03-15 18:06:48 UTC (rev 85858)
+++ projects/jboss-osgi/branches/tdiesler/build/hudson/hudson-home/command.sh	2009-03-15 18:15:55 UTC (rev 85859)
@@ -11,17 +11,6 @@
 DISTRODIR=$OSGIDIR/build/distribution/target
 HUDSONDIR=$OSGIDIR/build/hudson
 
-#
-# Build distro
-#
-cd $OSGIDIR
-MVN_CMD="mvn -U -Pdistro clean install"
-echo $MVN_CMD; $MVN_CMD; MVN_STATUS=$?
-if [ $MVN_STATUS -ne 0 ]; then
-  echo maven exit status $MVN_STATUS
-  exit 1
-fi
-
 case "$CONTAINER" in
   'jboss501')
     JBOSS_BUILD=jboss-5.0.1.GA
@@ -50,15 +39,26 @@
   ;;
 esac
 
+ENVIRONMENT="-Dtarget.container=$CONTAINER -Djboss.home=$JBOSS_HOME -Djboss.bind.address=$JBOSS_BINDADDR"
+
 #
+# Build distro
+#
+cd $OSGIDIR
+MVN_CMD="mvn -U -Pdistro $ENVIRONMENT clean install"
+echo $MVN_CMD; $MVN_CMD; MVN_STATUS=$?
+if [ $MVN_STATUS -ne 0 ]; then
+  echo maven exit status $MVN_STATUS
+  exit 1
+fi
+
+#
 # Deploy distro
 #
 AUTO_INSTALL=$DISTRODIR/resources/auto-install-template.xml; cat $AUTO_INSTALL;
 JAVA_CMD="java -jar $DISTRODIR/jboss-osgi-installer-$VERSION.jar $AUTO_INSTALL"
 echo $JAVA_CMD; $JAVA_CMD 
 
-ENVIRONMENT="-Dtarget.container=$CONTAINER -Djboss.home=$JBOSS_HOME -Djboss.bind.address=$JBOSS_BINDADDR"
-
 #
 # start jbossas
 #




More information about the jboss-cvs-commits mailing list